TypeMap (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.db.TypeMap class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.db
Class TypeMap

    java.lang.Object
      org.hyperic.tools.db.TypeMap

    public class TypeMap

extends java.lang.Object

Constructor Summary
`protected` | `TypeMap(org.w3c.dom.Node node)`

Method Summary
`protected boolean` | `contains(java.lang.String database)`
`protected java.lang.String` | `getGenericType()`
`static java.lang.String` | `getMappedType(java.util.Collection typemaps, java.lang.String type, int database)`
`static java.lang.String` | `getMappedType(java.util.Collection typemaps, java.lang.String type, java.lang.String database)`
`protected java.lang.String` | `getMappedType(java.lang.String type, int database)`
`java.lang.String` | `getMappedType(java.lang.String type, java.lang.String database)`
`protected static boolean` | `isTypeMap(org.w3c.dom.Node node)`
`static java.util.Collection` | `loadTypeMapFromFile(java.io.File f)`
`protected static java.util.Collection` | `readTypeMaps(org.w3c.dom.Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeMap

    protected TypeMap(org.w3c.dom.Node node)
               throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

Method Detail

### contains

    protected boolean contains(java.lang.String database)

### getGenericType

    protected java.lang.String getGenericType()

### getMappedType

    public java.lang.String getMappedType(java.lang.String type,
                                          java.lang.String database)

### getMappedType

    protected java.lang.String getMappedType(java.lang.String type,
                                             int database)

### getMappedType

    public static java.lang.String getMappedType(java.util.Collection typemaps,
                                                 java.lang.String type,
                                                 int database)

### getMappedType

    public static java.lang.String getMappedType(java.util.Collection typemaps,
                                                 java.lang.String type,
                                                 java.lang.String database)

### isTypeMap

    protected static boolean isTypeMap(org.w3c.dom.Node node)

### readTypeMaps

    protected static java.util.Collection readTypeMaps(org.w3c.dom.Node node)

### loadTypeMapFromFile

    public static java.util.Collection loadTypeMapFromFile(java.io.File f)
                                                    throws java.io.IOException,
                                                           org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.